OGRE: Ogre::RTShader::ProgramManager Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::RTShader::ProgramManager Class Reference
Optional Components » RTShaderSystem

A singleton manager class that manages shader based programs. More...

`#include <OgreShaderProgramManager.h>`

Inheritance diagram for Ogre::RTShader::ProgramManager:
[legend]

## Public Member Functions
| ProgramManager ()
| Class default constructor.
| ~ProgramManager ()
| Class destructor.
void | flushGpuProgramsCache ()
| Flush the local GPU programs cache.
void | releasePrograms (const ProgramSet *programSet)
| Release CPU/GPU programs set associated with the given ProgramSet.
Public Member Functions inherited from Ogre::Singleton< ProgramManager >
| ~Singleton (void)

## Static Public Member Functions
static ProgramManager & | getSingleton ()
| Override standard Singleton retrieval.
static ProgramManager * | getSingletonPtr ()
| Get the singleton instance.
Static Public Member Functions inherited from Ogre::Singleton< ProgramManager >
static ProgramManager & | getSingleton (void)
| Get the singleton instance.
static ProgramManager * | getSingletonPtr (void)
| Get the singleton instance.

## Detailed Description

A singleton manager class that manages shader based programs.

## Constructor & Destructor Documentation

## ◆ ProgramManager()

Ogre::RTShader::ProgramManager::ProgramManager | ( |  | ) |

Class default constructor.

Referenced by getSingleton(), and getSingletonPtr().

## ◆ ~ProgramManager()

Ogre::RTShader::ProgramManager::~ProgramManager | ( |  | ) |

Class destructor.

## Member Function Documentation

## ◆ getSingleton()

ProgramManager & Ogre::RTShader::ProgramManager::getSingleton | ( |  | ) |
| static

Override standard Singleton retrieval.

Why do we do this? Well, it's because the Singleton implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the Singleton template to work, but we actually only want it compiled into the implementation of the class based on the Singleton, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll.

  This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors.

References ProgramManager().

## ◆ getSingletonPtr()

ProgramManager * Ogre::RTShader::ProgramManager::getSingletonPtr | ( |  | ) |
| static

Get the singleton instance.

References ProgramManager().

## ◆ releasePrograms()

void Ogre::RTShader::ProgramManager::releasePrograms | ( | const ProgramSet * | programSet | ) |

Release CPU/GPU programs set associated with the given ProgramSet.

Parameters

  programSet | The ProgramSet holds the programs.

References ProgramSet.

## ◆ flushGpuProgramsCache()

void Ogre::RTShader::ProgramManager::flushGpuProgramsCache | ( |  | ) |

Flush the local GPU programs cache.

References ProgramSet.

The documentation for this class was generated from the following file:

- OgreShaderProgramManager.h